<?php 
function fetchFromApi2($url,$coursecode,$courseName,$semester,$instituteId="",$year="",$prn="",$seat_no="",$paper_code=""){
    $data = array(
        "CourseCode" => $coursecode,
        "CourseName" => $courseName,
        "SemesterName" => "Semester " . $semester,
        "InstituteID" => $instituteId,
        "AyearID" => $year,
        "PRNNUMBER" => $prn,
        "SeatNo" => $seat_no,
        "PaperCode" => $paper_code
    );

    $body = json_encode($data);

    $ch = curl_init();

    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type:application/json'
    ));

    $result = curl_exec($ch);
    return json_decode($result);
}

$url = 'https://osm.sus.resultwebapi.splashgain.com/OSM/SolapurResultUpdate';
$coursecode = "10062";
$courseName = "Regular";
$semester = "6"; 
$prn="";
$seat_no="";
$instituteId="";
$year="";
$paper_code="";

echo "<pre>";
print_r(fetchFromApi2($url,$coursecode,$courseName,$semester,$instituteId,$year,$prn,$seat_no,$paper_code));
echo "</pre>";?>