<?php
ob_start();
session_start();
$user_name = $_SESSION['uname'];
$user_role = $_SESSION['urole'];
$q = $_REQUEST['q'];
if ($q != '' || $user_name != '') {
    require_once ("db_connect.php");
}
include_once ("files/functions.php");
require_once ("config.php");
require_once ("staticpage/header.php");
require_once ("staticpage/left.php");
include_once ("utils/auth_utils.php");
include_once ("utils/session_utils.php");
include_once ("utils/login_utils.php");
switch ($user_role) {
    case "STUDENT":
        switch ($q) {
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;

    case "INST":
        switch ($q) {
            case "rep_exam_form_copy":
                require_once ("exam/rep_exam_form_copy.php");
                break;
            case "eventwise_exam_form":
                require_once ("exam/eventwise_exam_form.php");
                break;
            case "first_year_th_marks_entry":
                require_once ("exam/marks_entry/first_year_th_marks_entry.php");
                break;
            case "adm_work":
                require_once ("temp_files/adm_work.php");
                break;
            case "never_appear_print":
                require_once ("exam/reports/never_appear_print.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "single_stud_hall_ticket":
                require_once ("admin/single_stud_hall_ticket.php");
                break;
            case "single_stud_exam_form":
                require_once ("admin/single_stud_exam_form.php");
                break;
            case "ajaxupload1":
                require_once ("admin/ajaxupload1.php");
                break;
            case "upload_photo":
                require_once ("admin/upload_photo.php");
                break;
            case "upload_photo_inst":
                require_once ("admission/upload_photo_inst.php");
                break;
            case "transfer_certificate":
                require_once ("admin/reports/transfer_certificate.php");
                break;

            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "theory_internal_mk_entry":
                require_once ("exam/marks_entry/theory_internal_mk_entry.php");
                break;
            case "instwise_marks_entry_report":
                require_once ("exam/marks_entry/instwise_marks_entry_report.php");
                break;
            case "exam_form_invoice_studwise_copy":
                require_once ("exam/reports/exam_form_invoice_studwise_copy.php");
                break;
            case "exam_invoice_home_copy":
                require_once ("exam/reports/exam_invoice_home_copy.php");
                break;
            case "exam_summery_report":
                require_once ("exam/reports/exam_summery_report.php");
                break;
            case "never_app_exam_forms":
                require_once ("exam/never_app_exam_forms.php");
                break;
            case "exam_form_invoice_new":
                require_once ("exam/reports/exam_form_invoice_new.php");
                break;
            case "exam_invoice_home":
                require_once ("exam/reports/exam_invoice_home.php");
                break;
            case "exam_form_print_bulk_new":
                require_once ("exam/exam_form_print_bulk_new.php");
                break;
            case "exam_form_edit":
                require_once ("exam/exam_form_edit.php");
                break;
            case "exam_form_inward":
                require_once ("exam/exam_form_inward.php");
                break;
            case "exam_form_new":
                require_once ("exam/exam_form_new.php");
                break;

            case "exam_form_home_new":
                require_once ("exam/exam_form_home_new.php");
                break;
            case "exam_form_print_new":
                require_once ("exam/exam_form_print_new.php");
                break;

            case "internal_marks_entry_copy2":
                require_once ("exam/marks_entry/internal_marks_entry_copy2.php");
                break;
            case "consolated_marks_entry_report":
                require_once ("exam/marks_entry/consolated_marks_entry_report.php");
                break;
            case "viva_marks_entry_copy":
                require_once ("exam/marks_entry/viva_marks_entry_copy.php");
                break;
            case "internal_marks_entry_copy":
                require_once ("exam/marks_entry/internal_marks_entry_copy.php");
                break;
            case "viva_marks_entry":
                require_once ("exam/marks_entry/viva_marks_entry.php");
                break;
            case "hallticket_home_copy":
                require_once ("exam/hallticket_home_copy.php");
                break;
            case "hallticket_print_copy":
                require_once ("exam/hallticket_print_copy.php");
                break;
            case "internal_marks_entry":
                require_once ("exam/marks_entry/internal_marks_entry.php");
                break;
            case "blank_marksheet":
                require_once ("exam/reports/blank_marksheet.php");
                break;
            case "first_second_barcode":
                require_once ("exam/reports/first_second_barcode.php");
                break;
            case "barcode_generation":
                require_once ("exam/barcode_generation.php");
                break;
            case "exam_form_invoice_studwise":
                require_once ("exam/reports/exam_form_invoice_studwise.php");
                break;
            case "exam_form_invoice":
                require_once ("exam/reports/exam_form_invoice.php");
                break;
            case "exam_reports_home":
                require_once ("exam/reports/exam_reports_home.php");
                break;
            case "hallticket_print_bulk":
                require_once ("exam/hallticket_print_bulk.php");
                break;
            case "hallticket_print":
                require_once ("exam/hallticket_print.php");
                break;
            case "hallticket_home":
                require_once ("exam/hallticket_home.php");
                break;
            case "repeater_exam_form":
                require_once ("exam/repeater_exam_form.php");
                break;
            case "repeater_exam_form_print":
                require_once ("exam/repeater_exam_form_print.php");
                break;
            case "repeater_exam_form_home":
                require_once ("exam/repeater_exam_form_home.php");
                break;
            case "exam_form_print_bulk":
                require_once ("exam/exam_form_print_bulk.php");
                break;
            case "exam_form_print":
                require_once ("exam/exam_form_print.php");
                break;
            case "exam_form":
                require_once ("exam/exam_form.php");
                break;
            case "exam_form_copy":
                require_once ("exam/exam_form_copy.php");
                break;
            case "exam_form_home":
                require_once ("exam/exam_form_home.php");
                break;
            case "att_sheet":
                require_once ("exam/reports/att_sheet.php");
                break;

            case "att_sheet_copy":
                require_once ("exam/reports/att_sheet_copy.php");
                break;

            case "att_sheet_next":
                require_once ("exam/reports/att_sheet_next.php");
                break;

            case "att_sheet_next_copy":
                require_once ("exam/reports/att_sheet_next_copy.php");
                break;

            case "selectcourse":
                require_once ("admin/admission/selectcourse.php");
                break;
            case "invoice_report_headwise":
                require_once ("admission/reports/invoice_report_headwise.php");
                break;
            case "invoice_report":
                require_once ("admission/reports/invoice_report.php");
                break;
            case "new_institute_add":
                require_once ("admission/new_institute_add.php");
                break;
            case "javascript_file":
                require_once ("admission/javascript_file.php");
                break;
            case "upload_file_form":
                require_once ("admission/upload_file_form.php");
                break;
            case "new_student_entry":
                require_once ("admission/new_student_entry.php");
                break;
            case "admission_form":
                require_once ("admission/admission_form.php");
                break;
            case "adm_form_prn":
                require_once ("admission/adm_form_prn.php");
                break;
            case "confirm_form":
                require_once ("admission/confirm_form.php");
                break;
            case "adm_form_print":
                require_once ("admission/adm_form_print.php");
                break;
            case "adm_form_reports":
                require_once ("admission/adm_form_reports.php");
                break;
            case "adm_status_report":
                require_once ("admission/reports/adm_status_report.php");
                break;
            case "stud_list":
                require_once ("admission/reports/stud_list.php");
                break;
            case "coursewise_status_report":
                require_once ("admission/reports/coursewise_status_report.php");
                break;
            case "ajaxupload":
                require_once ("admission/docs/ajaxupload.php");
                break;
            case "uploaddocs":
                require_once ("admission/docs/uploaddocs.php");
                break;
            case "docspage":
                require_once ("admission/docs/docspage.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;

    case "PRINCIPAL":
        switch ($q) {
            case "never_appear_print":
                require_once ("exam/reports/never_appear_print.php");
                break;
            case "eventwise_exam_form":
                require_once ("exam/eventwise_exam_form.php");
                break;
            case "first_year_th_marks_entry":
                require_once ("exam/marks_entry/first_year_th_marks_entry.php");
                break;
            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "theory_internal_mk_entry":
                require_once ("exam/marks_entry/theory_internal_mk_entry.php");
                break;
            case "instwise_marks_entry_report":
                require_once ("exam/marks_entry/instwise_marks_entry_report.php");
                break;
            case "exam_summery_report":
                require_once ("exam/reports/exam_summery_report.php");
                break;
            case "hallticket_home_copy":
                require_once ("exam/hallticket_home_copy.php");
                break;
            case "hallticket_print_copy":
                require_once ("exam/hallticket_print_copy.php");
                break;
            case "never_app_exam_forms":
                require_once ("exam/never_app_exam_forms.php");
                break;
            case "exam_form_invoice_new":
                require_once ("exam/reports/exam_form_invoice_new.php");
                break;
            case "exam_invoice_home":
                require_once ("exam/reports/exam_invoice_home.php");
                break;
            case "exam_form_print_bulk_new":
                require_once ("exam/exam_form_print_bulk_new.php");
                break;
            case "exam_form_edit":
                require_once ("exam/exam_form_edit.php");
                break;
            case "exam_form_inward":
                require_once ("exam/exam_form_inward.php");
                break;
            case "exam_form_new":
                require_once ("exam/exam_form_new.php");
                break;

            case "exam_form_home_new":
                require_once ("exam/exam_form_home_new.php");
                break;
            case "exam_form_print_new":
                require_once ("exam/exam_form_print_new.php");
                break;
            case "viva_marks_entry":
                require_once ("exam/marks_entry/viva_marks_entry.php");
                break;
            case "internal_marks_entry":
                require_once ("exam/marks_entry/internal_marks_entry.php");
                break;
            case "blank_marksheet":
                require_once ("exam/reports/blank_marksheet.php");
                break;
            case "first_second_barcode":
                require_once ("exam/reports/first_second_barcode.php");
                break;
            case "att_sheet":
                require_once ("exam/reports/att_sheet.php");
                break;
            case "att_sheet_next":
                require_once ("exam/reports/att_sheet_next.php");
                break;
            case "barcode_generation":
                require_once ("exam/barcode_generation.php");
                break;
            case "exam_form_invoice_studwise":
                require_once ("exam/reports/exam_form_invoice_studwise.php");
                break;
            case "exam_form_invoice":
                require_once ("exam/reports/exam_form_invoice.php");
                break;
            case "exam_reports_home":
                require_once ("exam/reports/exam_reports_home.php");
                break;
            case "hallticket_print_bulk":
                require_once ("exam/hallticket_print_bulk.php");
                break;
            case "hallticket_print":
                require_once ("exam/hallticket_print.php");
                break;
            case "hallticket_home":
                require_once ("exam/hallticket_home.php");
                break;
            case "repeater_exam_form_unlock":
                require_once ("exam/repeater_exam_form_unlock.php");
                break;
            case "repeater_exam_form":
                require_once ("exam/repeater_exam_form.php");
                break;
            case "repeater_exam_form_print":
                require_once ("exam/repeater_exam_form_print.php");
                break;
            case "repeater_exam_form_home":
                require_once ("exam/repeater_exam_form_home.php");
                break;
            case "exam_form_unlock":
                require_once ("exam/exam_form_unlock.php");
                break;
            case "exam_form_print":
                require_once ("exam/exam_form_print.php");
                break;
            case "exam_form":
                require_once ("exam/exam_form.php");
                break;
            case "exam_form_home":
                require_once ("exam/exam_form_home.php");
                break;
            case "invoice_report_headwise":
                require_once ("admission/reports/invoice_report_headwise.php");
                break;
            case "invoice_report":
                require_once ("admission/reports/invoice_report.php");
                break;
            case "unlock_admission_form":
                require_once ("admission/unlock_admission_form.php");
                break;
            case "upload_file_form":
                require_once ("admission/upload_file_form.php");
                break;
            case "new_student_entry":
                require_once ("admission/new_student_entry.php");
                break;
            case "admission_form":
                require_once ("admission/admission_form.php");
                break;
            case "adm_form_prn":
                require_once ("admission/adm_form_prn.php");
                break;
            case "confirm_form":
                require_once ("admission/confirm_form.php");
                break;
            case "adm_form_print":
                require_once ("admission/adm_form_print.php");
                break;
            case "adm_form_reports":
                require_once ("admission/adm_form_reports.php");
                break;
            case "adm_status_report":
                require_once ("admission/reports/adm_status_report.php");
                break;
            case "stud_list":
                require_once ("admission/reports/stud_list.php");
                break;
            case "coursewise_status_report":
                require_once ("admission/reports/coursewise_status_report.php");
                break;
            case "ajaxupload":
                require_once ("admission/docs/ajaxupload.php");
                break;
            case "uploaddocs":
                require_once ("admission/docs/uploaddocs.php");
                break;
            case "docspage":
                require_once ("admission/docs/docspage.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;

    case "ACC_SEC":
        switch ($q) {
            case "acc_sec_invoice_work":
                require_once ("temp_files/acc_sec_invoice_work.php");
                break;
            
            case "admission_status_report":
                require_once ("admission/reports/admission_status_report.php");
                break;

            case "headwise_acc_sec_rep":
                require_once ("exam/reports/headwise_acc_sec_rep.php");
                break;

            case "exam_form_invoice_conf_new":
                require_once ("exam/exam_form_invoice_conf_new.php");
                break;

            case "exam_form_invoice_conf":
                require_once ("exam/exam_form_invoice_conf.php");
                break;

            case "headwise_invoice_report":
                require_once ("admission/reports/headwise_invoice_report.php");
                break;

            case "acc_sec_reports_home":
                require_once ("admin/reports/acc_sec_reports_home.php");
                break;

            case "adm_invoice_conf":
                require_once ("admission/adm_invoice_conf.php");
                break;

            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;
    case "SUB_ADMIN":
        switch ($q) {
            case "honourse_pass_check":
                require_once("sub_admin/honourse_pass_check.php");
                break;
            case "allow_exam_form":
                require_once("sub_admin/allow_exam_form.php");
                break;
            case "process_template":
                require_once("sub_admin/process_template.php");
                break;
            case "gold_medal_print":
                require_once("sub_admin/reports/gold_medal_print.php");
                break;
            case "process_sub_template":
                require_once("sub_admin/process_sub_template.php");
                break;
            case "generate_merit_template":
                require_once("sub_admin/generate_merit_template.php");
                break;
            case "consoliated_marks_entry_rep":
                require_once("sub_admin/reports/consoliated_marks_entry_rep.php");
                break;
            case "merit_certificate_print":
                require_once("sub_admin/merit_certificate_print.php");
                break;
            case "merit_list_print":
                require_once("sub_admin/merit_list_print.php");
                break;
            case "merit_list_home":
                require_once ("sub_admin/merit_list_home.php");
                break;
            case "never_appear_print":
                require_once ("exam/reports/never_appear_print.php");
                break;
            case "eventwise_exam_form":
                require_once ("exam/eventwise_exam_form.php");
                break;
            case "first_year_marks_entry_report":
                require_once ("exam/marks_entry/first_year_marks_entry_report.php");
                break;
            case "convocation_report":
                require_once ("admin/reports/convocation_report.php");
                break;
            case "update_internal_marks":
                require_once ("exam/marks_entry/update_internal_marks.php");
                break;
            case "statement_of_marks_home_old":
                require_once ("admin/reports/statement_of_marks_home_old.php");
                break;
            case "single_stud_hall_ticket":
                require_once ("admin/single_stud_hall_ticket.php");
                break;
            case "single_stud_exam_form":
                require_once ("admin/single_stud_exam_form.php");
                break;
            case "merit_list":
                require_once ("admin/reports/merit_list.php");
                break;
            case "transcript_certificate_home":
                require_once ("admin/reports/transcript_certificate_home.php");
                break;
            case "coursewise_fail_count_report":
                require_once ("admin/reports/coursewise_fail_count_report.php");
                break;
            case "single_stud_ledger_home":
                require_once ("admin/single_stud_ledger_home.php");
                break;
            case "instwise_ledger_home":
                require_once ("admin/instwise_ledger_home.php");
                break;
            case "institutewise_ledger":
                require_once ("admin/result_processing/institutewise_ledger.php");
                break;
            case "result_ledger_home":
                require_once ("admin/result_processing/result_ledger_home.php");
                break;        
            case "degree_certificate":
                require_once ("admin/sg_login/degree_certificate.php");
                break;
            case "ese_marks_report_coursewise":
                require_once ("admin/sg_login/ese_marks_report_coursewise.php");
                break;
            case "ajaxupload1":
                require_once ("admin/ajaxupload1.php");
                break;
            case "single_stud_process_new":
                require_once ("admin/single_stud_process_new.php");
                break;
            case "upload_photo":
                require_once ("admin/upload_photo.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "single_stud_process":
                require_once ("admin/single_stud_process.php");
                break;
            case "grace_marks_ese":
                require_once ("admin/result_processing/grace_marks_ese.php");
                break;
                
            case "status_processing_ese":
                require_once ("admin/result_processing/status_processing_ese.php");
                break;
                
            case "update_marks_ese":
                require_once ("admin/result_processing/update_marks_ese.php");
                break;
            case "extra_curricular_marks_entry":
                require_once ("exam/marks_entry/extra_curricular_marks_entry.php");
                break;
            case "statement_marks_home":
                require_once ("admin/reports/statement_marks_home.php");
                break;
            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "daywise_center_details_report":
                require_once ("admin/sg_login/daywise_center_details_report.php");
                break;
            case "res_process_date":
                require_once ("admin/result_processing/res_process_date.php");
                break;
            case "exam_summery_report":
                require_once ("exam/reports/exam_summery_report.php");
                break;
            case "stud_info":
                require_once ("admin//stud_info.php");
                break;

            case "internal_marks_entry_sadmin":
                require_once ("exam/marks_entry/internal_marks_entry_sadmin.php");
                break;
            case "subject_consideration_report":
                require_once ("exam/reports/subject_consideration_report.php");
                break;
            case "subwise_consideration_report":
                require_once ("exam/reports/subwise_consideration_report.php");
                break;
            case "subject_consideration":
                require_once ("exam/marks_entry/subject_consideration.php");
                break;
            case "student_master_report":
                require_once ("exam/reports/student_master_report.php");
                break;
            case "consolated_ime_report_new":
                require_once ("exam/reports/consolated_ime_report_new.php");
                break;
            case "subject_consideration":
                require_once ("exam/marks_entry/subject_consideration.php");
                break;
            case "bed_result_home":
                require_once ("admin/bed_result_home.php");
                break;
            case "ledger":
                require_once ("admin/result_processing/ledger.php");
                break;
            case "ledger2":
                require_once ("admin/result_processing/ledger2.php");
                break;
            case "ledger2_ese":
                require_once ("admin/result_processing/ledger2_ese.php");
                break;
            case "internal_marks_entry_report":
                require_once ("exam/marks_entry/internal_marks_entry_report.php");
                break;
            case "paperwise_ime_report":
                require_once ("exam/marks_entry/paperwise_ime_report.php");
                break;
            case "coursewise_ime_report":
                require_once ("exam/marks_entry/coursewise_ime_report.php");
                break;
            case "collegewise_coursewise_ime_report":
                require_once ("exam/marks_entry/collegewise_coursewise_ime_report.php");
                break;
            case "unlock_internal_marks_entry":
                require_once ("exam/marks_entry/unlock_internal_marks_entry.php");
                break;
            case "student_master":
                require_once ("admin/reports/student_master.php");
                break;
            case "instwise_coursewise_studlist_report":
                require_once ("exam/reports/instwise_coursewise_studlist_report.php");
                break;
            case "exam_datewise_report":
                require_once ("exam/reports/exam_datewise_report.php");
                break;
            case "exam_instwise_report":
                require_once ("exam/reports/exam_instwise_report.php");
                break;
            case "instwise_coursewise_report":
                require_once ("exam/reports/instwise_coursewise_report.php");
                break;
            case "course_reports":
                require_once ("admission/reports/course_reports.php");
                break;
            case "coursewise_structure_report":
                require_once ("admission/reports/coursewise_structure_report.php");
                break;
            case "subadmin_reports_home":
                require_once ("admin/reports/subadmin_reports_home.php");
                break;
            case "confirm_prn":
                require_once ("admin/admission/confirm_prn.php");
                break;
            case "admin_reports":
                require_once ("admin/admin_reports.php");
                break;
            case "inst_passwords":
                require_once ("admin/inst_passwords.php");
                break;
            case "yearwise_students":
                require_once ("admin/admission/yearwise_students.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;

    case "SG_ADMIN":
        switch ($q) {
            
            case "day_paperwise_student_cnt_report":
                require_once ("exam/reports/day_paperwise_student_cnt_report.php");
                break;
            case "generate_provisional_cert":
                require_once ("admin/reports/generate_provisional_cert.php");
                break;
            case "provisional_cert_home":
                require_once ("admin/reports/provisional_cert_home.php");
                break;
            case "gold_medal_print":
                require_once("sub_admin/reports/gold_medal_print.php");
                break;
            case "process_sub_template":
                require_once("sub_admin/process_sub_template.php");
                break;
            case "generate_merit_template":
                require_once("sub_admin/generate_merit_template.php");
                break;
            case "consoliated_marks_entry_rep":
                require_once("sub_admin/reports/consoliated_marks_entry_rep.php");
                break;
            case "merit_certificate_print":
                require_once("sub_admin/merit_certificate_print.php");
                break;
            case "merit_list_print":
                require_once("sub_admin/merit_list_print.php");
                break;
            case "merit_list_home":
                require_once ("sub_admin/merit_list_home.php");
                break;
            case "edit_marks_entry":
                require_once ("sec_operator/edit_marks_entry.php");
                break;
            case "unique_no_entry_status":
                require_once ("sec_operator/reports/unique_no_entry_status.php");
                break;
            case "absenty_cps_marking":
                require_once ("sec_operator/absenty_cps_marking.php");
                break;
            case "marks_entry":
                require_once ("sec_operator/marks_entry.php");
                break;
            case "unique_no_entry":
                require_once ("sec_operator/unique_no_entry.php");
                break;
            case "first_year_marks_entry_report":
                require_once ("exam/marks_entry/first_year_marks_entry_report.php");
                break;
            case "allow_admission_special_cases":
                require_once ("admission/allow_admission_special_cases.php");
                break;
            case "res_process_date":
                require_once ("admin/result_processing/res_process_date.php");
                break;
            case "coursewise_fail_count_report":
                require_once ("admin/reports/coursewise_fail_count_report.php");
                break;
            case "bulk_result_process":
                require_once ("admin/result_processing/bulk_result_process.php");
                break;
            case "instwise_ledger_home":
                require_once ("admin/instwise_ledger_home.php");
                break;
            case "institutewise_ledger":
                require_once ("admin/result_processing/institutewise_ledger.php");
                break;
            case "result_ledger_home":
                require_once ("admin/result_processing/result_ledger_home.php");
                break;   
            case "result_reprocess_log_report":
                require_once ("admin/sg_login/result_reprocess_log_report.php");
                break;
            case "single_stud_process_new":
                require_once ("admin/single_stud_process_new.php");
                break;
            case "studwise_res_status":
                require_once ("admin/reports/studwise_res_status.php");
                break;
            case "transcript_certificate_home":
                require_once ("admin/reports/transcript_certificate_home.php");
                break;
                
            case "merit_list":
                require_once ("admin/reports/merit_list.php");
                break;
            case "ajaxupload1":
                require_once ("admin/ajaxupload1.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "upload_photo":
                require_once ("admin/upload_photo.php");
                break;
            case "passing_stud":
                require_once ("temp_files/passing_stud.php");
                break;
                
            case "degree_certificate":
                require_once ("admin/sg_login/degree_certificate.php");
                break;
                
            case "transfer_certificate":
                require_once ("admin/reports/transfer_certificate.php");
                break;

            case "stud_absent_rep_oct22":
                require_once ("admin/stud_absent_rep_oct22.php");
                break;

            

            case "ledger2_ese_pp":
                require_once ("admin/result_processing/ledger2_ese_pp.php");
                break;
            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "api_test":
                require_once ("admin/result_processing/api_test.php");
                break;
            case "pend_inst_list":
                require_once ("admin/pend_inst_list.php");
                break;
            case "internal_mk_entry_dashboard":
                require_once ("admin/internal_mk_entry_dashboard.php");
                break;
            case "coursewise_result_processing":
                require_once ("admin/reports/coursewise_result_processing.php");
                break;
            case "exam_dashbord":
                require_once ("admin/reports/exam_dashbord.php");
                break;
            case "th_marks_api_process":
                require_once ("admin/th_marks_api_process.php");
                break;
            case "statement_marks_home":
                require_once ("admin/reports/statement_marks_home.php");
                break;
            case "statement_of_marks":
                require_once ("admin/reports/statement_of_marks.php");
                break;
            case "statement_of_marks_termwise":
                require_once ("admin/reports/statement_of_marks_termwise.php");
                break;
            case "time_table_m23":
                require_once ("exam/reports/time_table_m23.php");
                break;
            case "exam_summery_report":
                require_once ("exam/reports/exam_summery_report.php");
                break;
            case "inst_passwords":
                require_once ("admin/inst_passwords.php");
                break;
            case "ese_marks_report_coursewise":
                require_once ("admin/sg_login/ese_marks_report_coursewise.php");
                break;

            case "stud_info":
                require_once ("admin//stud_info.php");
                break;

            case "RR_count_report":
                require_once ("admin/sg_login/RR_count_report.php");
                break;

            case "unlock_exam_form":
                require_once ("exam/unlock_exam_form.php");
                break;
            case "repeater_exam_form":
                require_once ("exam/repeater_exam_form.php");
                break;
            case "repeater_exam_form_print":
                require_once ("exam/repeater_exam_form_print.php");
                break;
            case "repeater_exam_form_home":
                require_once ("exam/repeater_exam_form_home.php");
                break;
            case "course_reports":
                require_once ("admission/reports/course_reports.php");
                break;
            case "coursewise_structure_report":
                require_once ("admission/reports/coursewise_structure_report.php");
                break;
            case "single_student_ledger":
                require_once ("admin/result_processing/single_student_ledger.php");
                break;
            case "single_stud_hall_ticket":
                require_once ("admin/single_stud_hall_ticket.php");
                break;
            case "single_stud_exam_form":
                require_once ("admin/single_stud_exam_form.php");
                break;
            case "single_stud_ledger_home":
                require_once ("admin/single_stud_ledger_home.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "single_stud_ledger_print":
                require_once ("admin/single_stud_ledger_print.php");
                break;
            case "ese_marks_report_ketan":
                require_once ("temp_files/ese_marks_report.php");
                break;
            case "coursewise_result_status_report":
                require_once ("admin/sg_login/coursewise_result_status_report.php");
                break;
            case "statistical_category_report":
                require_once ("admin/reports/statistical_category_report.php");
                break;
            case "subwise_consideration_report":
                require_once ("exam/reports/subwise_consideration_report.php");
                break;
            case "subject_consideration_report":
                require_once ("exam/reports/subject_consideration_report.php");
                break;
            case "ese_marks_report":
                require_once ("admin/sg_login/ese_marks_report.php");
                break;

            case "auto_result_process":
                require_once ("admin/auto_result_process.php");
                break;

            case "statistical_studentwise_report":
                require_once ("exam/reports/statistical_studentwise_report.php");
                break;
            case "ledger2_ui_copy":
                require_once ("admin/result_processing/ledger2_ui_copy.php");
                break;
            case "ledger2_ui":
                require_once ("admin/result_processing/ledger2_ui.php");
                break;
            case "student_master_report":
                require_once ("exam/reports/student_master_report.php");
                break;

            case "stud_master_report":
                require_once ("exam/reports/stud_master_report.php");
                break;

            case "exam_registered_count_report_prn":
                require_once ("exam/reports/exam_registered_count_report_prn.php");
                break;
            case "exam_registered_count_report":
                require_once ("exam/reports/exam_registered_count_report.php");
                break;
            case "ledger2_copy":
                require_once ("admin/result_processing/ledger2_copy.php");
                break;
            case "consolated_ime_report_new":
                require_once ("exam/reports/consolated_ime_report_new.php");
                break;
            case "marks_entry_status_report":
                require_once ("admin/reports/marks_entry_status_report.php");
                break;
            case "unpublished_result_home":
                require_once ("admin/unpublished_result_home.php");
                break;
            case "bed_result_home":
                require_once ("admin/bed_result_home.php");
                break;
            case "ledger2_ese":
                require_once ("admin/result_processing/ledger2_ese.php");
                break;
            case "ledger2":
                require_once ("admin/result_processing/ledger2.php");
                break;
            case "ledger":
                require_once ("admin/result_processing/ledger.php");
                break;
            case "internal_marks_entry_log":
                require_once ("admin/reports/internal_marks_entry_log.php");
                break;
            case "paperwise_ime_report":
                require_once ("exam/marks_entry/paperwise_ime_report.php");
                break;
            case "coursewise_ime_report":
                require_once ("exam/marks_entry/coursewise_ime_report.php");
                break;
            case "collegewise_coursewise_ime_report":
                require_once ("exam/marks_entry/collegewise_coursewise_ime_report.php");
                break;
            case "paperwise_student_report":
                require_once ("exam/reports/paperwise_student_report.php");
                break;
            case "coursewise_student_report":
                require_once ("exam/reports/coursewise_student_report.php");
                break;
            case "daywise_center_details_report":
                require_once ("admin/sg_login/daywise_center_details_report.php");
                break;
            case "exam_status_report":
                require_once ("admin/sg_login/exam_status_report.php");
                break;
            case "check_seat_no":
                require_once ("admin/sg_login/check_seat_no.php");
                break;
            case "check_barcode":
                require_once ("admin/sg_login/check_barcode.php");
                break;
            case "invigilator_report":
                require_once ("exam/reports/invigilator_report.php");
                break;
            case "sg_reports_exam":
                require_once ("exam/reports/sg_reports_exam.php");
                break;
            case "sg_reports_home":
                require_once ("exam/reports/sg_reports_home.php");
                break;
            case "admin_reports":
                require_once ("admin/admin_reports.php");
                break;
            case "datewise_report":
                require_once ("admin/admission/datewise_report.php");
                break;
            case "instwise_report":
                require_once ("admin/admission/instwise_report.php");
                break;
            case "exam_datewise_report":
                require_once ("exam/reports/exam_datewise_report.php");
                break;
            case "exam_instwise_report":
                require_once ("exam/reports/exam_instwise_report.php");
                break;
            case "adm_yearwise_students":
                require_once ("admin/admission/adm_yearwise_students.php");
                break;
            case "instwise_coursewise_report":
                require_once ("exam/reports/instwise_coursewise_report.php");
                break;
            case "exam_admisyearwisestud_report_next":
                require_once ("exam/reports/exam_admisyearwisestud_report_next.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;
    case "BY_ADMIN":
        switch ($q) {
            case "sg_student_master_creation":
                require_once ("admin/bynaric_admin/sg_student_master_creation.php");
                break;
            case "sg_api_marks":
                require_once ("admin/bynaric_admin/sg_api_marks.php");
                break;
            case "check_reval_pass":
                require_once ("admin/bynaric_admin/check_reval_pass.php");
                break;
            case "adm_details_req_report":
                require_once ("admin/reports/adm_details_req_report.php");
                break;
            case "ledger2_ese":
                require_once ("admin/result_processing/ledger2_ese.php");
                break;
            case "grace_marks_ese_pp":
                require_once ("temp_files/grace_marks_ese_pp.php");
                break;
            case "not_elig_status":
                require_once ("admin/reports/not_elig_status.php");
                break;
            case "bulk_result_process":
                require_once ("admin/result_processing/bulk_result_process.php");
                break;
            case "update_marks_copy_case":
                require_once ("admin/bynaric_admin/update_marks_copy_case.php");
                break;
            case "bulk_result_process":
                require_once ("admin/result_processing/bulk_result_process.php");
                break;
            case "copy_case_result_home":
                require_once ("admin/bynaric_admin/copy_case_result_home.php");
                break;
            case "update_marks_ese_pp":
                require_once ("temp_files/update_marks_ese_pp.php");
                break;
            case "status_process_pp":
                require_once ("temp_files/status_process_pp.php");
                break;
            case "edit":
                require_once ("temp_files/edit.php");
                break;
            case "edit_details":
                require_once ("admin/admission/edit_details.php");
                break;
            case "statement_marks_home1":
                require_once ("temp_files/statement_of_marks_home1.php");
                break;
            case "result_process1":
                require_once ("admin/bynaric_admin/result_process1.php");
                break;
            case "update_marks_pp":
                require_once ("temp_files/update_marks_pp.php");
                break;
            case "old_bulk_result_process_home":
                require_once ("admin/result_processing/old_bulk_result_process_home.php");
                break;
            case "instwise_ledger_home":
                require_once ("admin/instwise_ledger_home.php");
                break;
            case "institutewise_ledger":
                require_once ("admin/result_processing/institutewise_ledger.php");
                break;
            case "result_ledger_home":
                require_once ("admin/result_processing/result_ledger_home.php");
                break;   
            case "prov_cert_home":
                require_once ("admin/reports/prov_cert_home.php");
                break;
            case "single_stud_process_new":
                require_once ("admin/single_stud_process_new.php");
                break;
            case "provisional_cert_home":
                require_once ("admin/reports/provisional_cert_home.php");
                break;
            case "generate_provisional_cert":
                require_once ("admin/reports/generate_provisional_cert.php");
                break;
            case "transcript_certificate_home":
                require_once ("admin/reports/transcript_certificate_home.php");
                break;
            case "merit_list":
                require_once ("admin/reports/merit_list.php");
                break;
            case "degree_certificate":
                require_once ("admin/sg_login/degree_certificate.php");
                break;
            case "transfer_certificate":
                require_once ("admin/reports/transfer_certificate.php");
                break;
            case "stud_absent_rep_oct22":
                require_once ("admin/stud_absent_rep_oct22.php");
                break;
            case "sg_master_entry_data_transfer":
                require_once ("admin/reports/sg_master_entry_data_transfer.php");
                break;
            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "api_test":
                require_once ("admin/result_processing/api_test.php");
                break;
            case "pend_inst_list":
                require_once ("admin/pend_inst_list.php");
                break;
            case "internal_mk_entry_dashboard":
                require_once ("admin/internal_mk_entry_dashboard.php");
                break;
            case "coursewise_result_processing":
                require_once ("admin/reports/coursewise_result_processing.php");
                break;
            case "exam_dashbord":
                require_once ("admin/reports/exam_dashbord.php");
                break;
            case "th_marks_api_process":
                require_once ("admin/th_marks_api_process.php");
                break;
            case "statement_marks_home":
                require_once ("admin/reports/statement_marks_home.php");
                break;
            case "statement_of_marks":
                require_once ("admin/reports/statement_of_marks.php");
                break;
            case "statement_of_marks_termwise":
                require_once ("admin/reports/statement_of_marks_termwise.php");
                break;
            case "time_table_m23":
                require_once ("exam/reports/time_table_m23.php");
                break;
            case "exam_summery_report":
                require_once ("exam/reports/exam_summery_report.php");
                break;
            case "inst_passwords":
                require_once ("admin/inst_passwords.php");
                break;
            case "ese_marks_report_coursewise":
                require_once ("admin/sg_login/ese_marks_report_coursewise.php");
                break;
            case "stud_info":
                require_once ("admin//stud_info.php");
                break;
            case "single_student_result_process":
                require_once ("admin/bynaric_admin/single_student_result_process.php");
                break;
            /* Result Processing Scripts Start */
            case "status_processing_2":
                require_once ("admin/bynaric_admin/status_processing.php");
                break;
            case "grace_marks_2":
                require_once ("admin/bynaric_admin/grace_marks.php");
                break;
            case "script3_update_final_status":
                require_once ("admin/bynaric_admin/script3_update_final_status.php");
                break;
            case "script2_update_ordinances":
                require_once ("admin/bynaric_admin/script2_update_ordinances.php");
                break;
            case "script1_update_marks":
                require_once ("admin/bynaric_admin/script1_update_marks.php");
                break;
            case "bulk_result_process_home":
                require_once ("admin/bynaric_admin/bulk_result_process_home.php");
                break;
            case "result_process_home":
                require_once ("admin/bynaric_admin/result_process_home.php");
                break;
            /* Result Processing Scripts End */
            case "RR_count_report":
                require_once ("admin/sg_login/RR_count_report.php");
                break;
            case "unlock_exam_form":
                require_once ("exam/unlock_exam_form.php");
                break;
            case "repeater_exam_form":
                require_once ("exam/repeater_exam_form.php");
                break;
            case "repeater_exam_form_print":
                require_once ("exam/repeater_exam_form_print.php");
                break;
            case "repeater_exam_form_home":
                require_once ("exam/repeater_exam_form_home.php");
                break;
            case "course_reports":
                require_once ("admission/reports/course_reports.php");
                break;
            case "coursewise_structure_report":
                require_once ("admission/reports/coursewise_structure_report.php");
                break;
            case "single_student_ledger":
                require_once ("admin/result_processing/single_student_ledger.php");
                break;
            case "single_stud_hall_ticket":
                require_once ("admin/single_stud_hall_ticket.php");
                break;
            case "single_stud_exam_form":
                require_once ("admin/single_stud_exam_form.php");
                break;
            case "single_stud_ledger_home":
                require_once ("admin/single_stud_ledger_home.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "single_stud_ledger_print":
                require_once ("admin/single_stud_ledger_print.php");
                break;
            case "ese_marks_report_ketan":
                require_once ("temp_files/ese_marks_report.php");
                break;
            case "coursewise_result_status_report":
                require_once ("admin/sg_login/coursewise_result_status_report.php");
                break;
            case "statistical_category_report":
                require_once ("admin/reports/statistical_category_report.php");
                break;
            case "subwise_consideration_report":
                require_once ("exam/reports/subwise_consideration_report.php");
                break;
            case "subject_consideration_report":
                require_once ("exam/reports/subject_consideration_report.php");
                break;
            case "ese_marks_report":
                require_once ("admin/sg_login/ese_marks_report.php");
                break;
            case "auto_result_process":
                require_once ("admin/auto_result_process.php");
                break;
            case "statistical_studentwise_report":
                require_once ("exam/reports/statistical_studentwise_report.php");
                break;
            case "student_master_report":
                require_once ("exam/reports/student_master_report.php");
                break;
            case "stud_master_report":
                require_once ("exam/reports/stud_master_report.php");
                break;
            case "exam_registered_count_report_prn":
                require_once ("exam/reports/exam_registered_count_report_prn.php");
                break;
            case "exam_registered_count_report":
                require_once ("exam/reports/exam_registered_count_report.php");
                break;
            case "consolated_ime_report_new":
                require_once ("exam/reports/consolated_ime_report_new.php");
                break;
            case "marks_entry_status_report":
                require_once ("admin/reports/marks_entry_status_report.php");
                break;
            case "unpublished_result_home":
                require_once ("admin/unpublished_result_home.php");
                break;
            case "bed_result_home":
                require_once ("admin/bed_result_home.php");
                break;
            case "internal_marks_entry_log":
                require_once ("admin/reports/internal_marks_entry_log.php");
                break;
            case "paperwise_ime_report":
                require_once ("exam/marks_entry/paperwise_ime_report.php");
                break;
            case "coursewise_ime_report":
                require_once ("exam/marks_entry/coursewise_ime_report.php");
                break;
            case "collegewise_coursewise_ime_report":
                require_once ("exam/marks_entry/collegewise_coursewise_ime_report.php");
                break;
            case "paperwise_student_report":
                require_once ("exam/reports/paperwise_student_report.php");
                break;
            case "coursewise_student_report":
                require_once ("exam/reports/coursewise_student_report.php");
                break;
            case "daywise_center_details_report":
                require_once ("admin/sg_login/daywise_center_details_report.php");
                break;
            case "exam_status_report":
                require_once ("admin/sg_login/exam_status_report.php");
                break;
            case "check_seat_no":
                require_once ("admin/sg_login/check_seat_no.php");
                break;
            case "check_barcode":
                require_once ("admin/sg_login/check_barcode.php");
                break;
            case "invigilator_report":
                require_once ("exam/reports/invigilator_report.php");
                break;
            case "sg_reports_exam":
                require_once ("exam/reports/sg_reports_exam.php");
                break;
            case "sg_reports_home":
                require_once ("exam/reports/sg_reports_home.php");
                break;
            case "admin_reports":
                require_once ("admin/admin_reports.php");
                break;
            case "datewise_report":
                require_once ("admin/admission/datewise_report.php");
                break;
            case "instwise_report":
                require_once ("admin/admission/instwise_report.php");
                break;
            case "exam_datewise_report":
                require_once ("exam/reports/exam_datewise_report.php");
                break;
            case "exam_instwise_report":
                require_once ("exam/reports/exam_instwise_report.php");
                break;
            case "adm_yearwise_students":
                require_once ("admin/admission/adm_yearwise_students.php");
                break;
            case "instwise_coursewise_report":
                require_once ("exam/reports/instwise_coursewise_report.php");
                break;
            case "exam_admisyearwisestud_report_next":
                require_once ("exam/reports/exam_admisyearwisestud_report_next.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            default:
                break;
        }
        break;
    case "COMP_SEC":
        switch ($q) {
            case "single_stud_hall_ticket":
                require_once ("admin/single_stud_hall_ticket.php");
                break;
            case "single_stud_exam_form":
                require_once ("admin/single_stud_exam_form.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "unique_no_entry_status":
                require_once ("sec_operator/reports/unique_no_entry_status.php");
                break;
            case "time_table_m23":
                require_once ("exam/reports/time_table_m23.php");
                break;
            case "ajaxupload1":
                require_once ("admin/ajaxupload1.php");
                break;
            case "upload_photo":
                require_once ("admin/upload_photo.php");
                break;
            case "upload_photo_inst":
                require_once ("admission/upload_photo_inst.php");
                break;
            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "daywise_center_details_report":
                require_once ("admin/sg_login/daywise_center_details_report.php");
                break;
            case "consolated_ime_report_new":
                require_once ("exam/reports/consolated_ime_report_new.php");
                break;
            case "student_master_report":
                require_once ("exam/reports/student_master_report.php");
                break;
            case "daywise_center_details_report":
                require_once ("admin/sg_login/daywise_center_details_report.php");
                break;
            case "slot_entry":
                require_once ("exam/slot_entry.php");
                break;
            case "timetable_entry":
                require_once ("exam/timetable_entry.php");
                break;
            case "student_master":
                require_once ("admin/reports/student_master.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            case "clg_transfer_reports":
                require_once ("admission/reports/clg_transfer_reports.php");
                break;
            default:
                break;
        }
        break;
    case "OPERATOR":
        switch ($q) {
            
            case "th_marks_entry_mod1":
                require_once ("exam/marks_entry/th_marks_entry_mod1.php");
                break;
            case "res_process_date":
                require_once ("admin/result_processing/res_process_date.php");
                break;

            case "slot_entry":
                require_once ("exam/slot_entry.php");
                break;
            case "timetable_entry":
                require_once ("exam/timetable_entry.php");
                break;
            case "student_master":
                require_once ("admin/reports/student_master.php");
                break;
            case "new_institute_add":
                require_once ("admission/new_institute_add.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            case "clg_transfer_reports":
                require_once ("admission/reports/clg_transfer_reports.php");
                break;
            default:
                break;
        }
        break;

    case "SEC_OPERATOR":
        switch ($q) {
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "allow_exam_form":
                require_once("sub_admin/allow_exam_form.php");
                break;
            case "consoliated_marks_entry_rep":
                require_once("sub_admin/reports/consoliated_marks_entry_rep.php");
                break;
            case "edit_marks_entry":
                require_once ("sec_operator/edit_marks_entry.php");
                break;
            case "edit_unique_no":
                require_once ("sec_operator/edit_unique_no.php");
                break;
            case "unique_no_entry_status":
                require_once ("sec_operator/reports/unique_no_entry_status.php");
                break;
            case "absenty_cps_marking":
                require_once ("sec_operator/absenty_cps_marking.php");
                break;
            case "marks_entry":
                require_once ("sec_operator/marks_entry.php");
                break;
            case "unique_no_entry":
                require_once ("sec_operator/unique_no_entry.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;
            case "chpass":
                require_once ("files/chpass.php");
                break;
            case "clg_transfer_reports":
                require_once ("admission/reports/clg_transfer_reports.php");
                break;
            default:
                break;
        }
        break;
        
    case "ADMIN":
        switch ($q) {
            case "degree_certificate":
                require_once ("admin/sg_login/degree_certificate.php");
                break;
            case "allow_exam_form":
                require_once("sub_admin/allow_exam_form.php");
                break;
            case "categorywise_result_report":
                require_once ("admin/reports/categorywise_result_report.php");
                break;
            case "consoliated_marks_entry_rep":
                require_once("sub_admin/reports/consoliated_marks_entry_rep.php");
                break;
            case "never_appear_print":
                require_once ("exam/reports/never_appear_print.php");
                break;
            case "eventwise_exam_form":
                require_once ("exam/eventwise_exam_form.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "single_stud_hall_ticket":
                require_once ("admin/single_stud_hall_ticket.php");
                break;
            case "single_stud_exam_form":
                require_once ("admin/single_stud_exam_form.php");
                break;
            case "coursewise_admission_cnt":
                require_once ("admin/admission/coursewise_admission_cnt.php");
                break;
            case "stud_info":
                require_once ("admin//stud_info.php");
                break;
            case "student_reg_count":
                require_once ("admin/reports/student_reg_count.php");
                break;
            case "merit_list":
                require_once ("admin/reports/merit_list.php");
                break;
            case "transcript_certificate_home":
                require_once ("admin/reports/transcript_certificate_home.php");
                break;
            case "coursewise_fail_count_report":
                require_once ("admin/reports/coursewise_fail_count_report.php");
                break;
            case "instwise_ledger_home":
                require_once ("admin/instwise_ledger_home.php");
                break;
            case "institutewise_ledger":
                require_once ("admin/result_processing/institutewise_ledger.php");
                break;
            case "result_ledger_home":
                require_once ("admin/result_processing/result_ledger_home.php");
                break;   
            case "single_stud_ledger_home":
                require_once ("admin/single_stud_ledger_home.php");
                break;
            case "studwise_res_status":
                require_once ("admin/reports/studwise_res_status.php");
                break;
            case "RR_count_report":
                require_once ("admin/sg_login/RR_count_report.php");
                break;   
            case "coursewise_result_status_report":
                require_once ("admin/sg_login/coursewise_result_status_report.php");
                break;
            case "single_stud_process_new":
                require_once ("admin/single_stud_process_new.php");
                break;
            case "passing_stud":
                require_once ("temp_files/passing_stud.php");
                break;
            case "ajaxupload1":
                require_once ("admin/ajaxupload1.php");
                break;
            case "single_stud_ledger":
                require_once ("admin/single_stud_ledger.php");
                break;
            case "upload_photo":
                require_once ("admin/upload_photo.php");
                break;
            
            /* Temperory Scripts Start */
            case "status_processing_2":
                require_once ("temp_files/status_processing.php");
                break;
            case "grace_marks_2":
                require_once ("temp_files/grace_marks.php");
                break;
            case "status_processing_ese_2":
                require_once ("temp_files/status_processing_ese.php");
                break;
            case "grace_marks_ese_2":
                require_once ("temp_files/grace_marks_ese.php");
                break;
            case "update_marks_ese_2":
                require_once ("temp_files/update_marks_ese.php");
                break;
            case "process_large_result_2":
                require_once ("temp_files/process_large_result.php");
                break;
            /* Temperory Scripts End */

            case "ese_ledger":
                require_once ("admin/result_processing/ese_ledger.php");
                break;
            case "theory_internal_mk_entry_report":
                require_once ("exam/marks_entry/theory_internal_mk_entry_report.php");
                break;
            case "statement_marks_home":
                require_once ("admin/reports/statement_marks_home.php");
                break;
            case "statement_of_marks":
                require_once ("admin/reports/statement_of_marks.php");
                break;
            case "statement_of_marks_termwise":
                require_once ("admin/reports/statement_of_marks_termwise.php");
                break;
            case "res_process_date":
                require_once ("admin/result_processing/res_process_date.php");
                break;
            case "daywise_center_details_report":
                require_once ("admin/sg_login/daywise_center_details_report.php");
                break;
            case "allow_ima_link":
                require_once ("admin/allow_ima_link.php");
                break;
            case "exam_summery_report":
                require_once ("exam/reports/exam_summery_report.php");
                break;
            case "unlock_exam_form":
                require_once ("exam/unlock_exam_form.php");
                break;
            case "slot_entry":
                require_once ("exam/slot_entry.php");
                break;

            case "statistical_category_report":
                require_once ("admin/reports/statistical_category_report.php");
                break;
            case "ese_marks_report":
                require_once ("admin/sg_login/ese_marks_report.php");
                break;
            case "statistical_studentwise_report":
                require_once ("exam/reports/statistical_studentwise_report.php");
                break;
            case "result_process_home":
                require_once ("admin/result_processing/result_process_home.php");
                break;
            case "student_master_report":
                require_once ("exam/reports/student_master_report.php");
                break;
            case "marks_entry_status_report":
                require_once ("admin/reports/marks_entry_status_report.php");
                break;
            case "ledger2_ui":
                require_once ("admin/result_processing/ledger2_ui.php");
                break;
            case "ledger2_ui_copy":
                require_once ("admin/result_processing/ledger2_ui_copy.php");
                break;
            case "ledger2_copy":
                require_once ("admin/result_processing/ledger2_copy.php");
                break;
            case "subwise_consideration_report":
                require_once ("exam/reports/subwise_consideration_report.php");
                break;
            case "subject_consideration_report":
                require_once ("exam/reports/subject_consideration_report.php");
                break;
            case "coursewise_result_status":
                require_once ("admin/result_processing/coursewise_result_status.php");
                break;

            case "ledger2_ese":
                require_once ("admin/result_processing/ledger2_ese.php");
                break;

            case "grace_marks_ese":
                require_once ("admin/result_processing/grace_marks_ese.php");
                break;

            case "status_processing_ese":
                require_once ("admin/result_processing/status_processing_ese.php");
                break;

            case "update_marks_ese":
                require_once ("admin/result_processing/update_marks_ese.php");
                break;

            case "process_large_result":
                require_once ("admin/result_processing/process_large_result.php");
                break;

            case "display_result_prn":
                require_once ("admin/result_processing/display_result_prn.php");
                break;

            case "ledger2_regular":
                require_once ("admin/result_processing/ledger2_regular.php");
                break;

            case "status_processing_regular":
                require_once ("admin/result_processing/status_processing_regular.php");
                break;

            case "grace_marks_regular":
                require_once ("admin/result_processing/grace_marks_regular.php");
                break;

            case "update_marks_regular":
                require_once ("admin/result_processing/update_marks_regular.php");
                break;
            case "consolated_ime_report_new":
                require_once ("exam/reports/consolated_ime_report_new.php");
                break;
            case "bed_result_home":
                require_once ("admin/bed_result_home.php");
                break;
            case "subject_consideration":
                require_once ("exam/marks_entry/subject_consideration.php");
                break;
            case "get_backlog_marks":
                require_once ("admin/result_processing/get_backlog_marks.php");
                break;
            case "ledger":
                require_once ("admin/result_processing/ledger.php");
                break;
            case "ledger2":
                require_once ("admin/result_processing/ledger2.php");
                break;
            case "status_processing":
                require_once ("admin/result_processing/status_processing.php");
                break;

            case "result_test":
                require_once ("admin/result_test.php");
                break;
            case "course_semwise_std_cnt_report":
                require_once ("exam/reports/course_semwise_std_cnt_report.php");
                break;
            case "condonation":
                require_once ("admin/result_processing/condonation.php");
                break;
            case "grace_marks":
                require_once ("admin/result_processing/grace_marks.php");
                break;
            case "grace_marks_akash":
                require_once ("admin/result_processing/grace_marks_akash.php");
                break;
            case "grade_letter":
                require_once ("admin/result_processing/grade_letter.php");
                break;
            case "update_marks_bpharm":
                require_once ("admin/result_processing/update_marks_bpharm.php");
                break;
            case "paperwise_ime_report":
                require_once ("exam/marks_entry/paperwise_ime_report.php");
                break;
            case "coursewise_ime_report":
                require_once ("exam/marks_entry/coursewise_ime_report.php");
                break;
            case "collegewise_coursewise_ime_report":
                require_once ("exam/marks_entry/collegewise_coursewise_ime_report.php");
                break;
            case "paperwise_student_report":
                require_once ("exam/reports/paperwise_student_report.php");
                break;
            case "coursewise_student_report":
                require_once ("exam/reports/coursewise_student_report.php");
                break;
            case "internal_marks_entry_report":
                require_once ("exam/marks_entry/internal_marks_entry_report.php");
                break;
            case "internal_marks_entry_log":
                require_once ("admin/reports/internal_marks_entry_log.php");
                break;
            case "unlock_internal_marks_entry":
                require_once ("exam/marks_entry/unlock_internal_marks_entry.php");
                break;
            case "export":
                require_once ("admin/reports/export.php");
                break;
            case "student_master":
                require_once ("admin/reports/student_master.php");
                break;
            case "invigilator_report":
                require_once ("exam/reports/invigilator_report.php");
                break;
            case "course_reports":
                require_once ("admission/reports/course_reports.php");
                break;
            case "coursewise_structure_report":
                require_once ("admission/reports/coursewise_structure_report.php");
                break;
            case "confirm_prn":
                require_once ("admin/admission/confirm_prn.php");
                break;
            case "admin_reports_home":
                require_once ("admin/reports/admin_reports_home.php");
                break;
            case "inst_passwords":
                require_once ("admin/inst_passwords.php");
                break;
            case "principal_passwords":
                require_once ("admin/principal_passwords.php");
                break;
            case "yearwise_students":
                require_once ("admin/admission/yearwise_students.php");
                break;
            case "adm_yearwise_students":
                require_once ("admin/admission/adm_yearwise_students.php");
                break;
            case "adm_yearwise_students_next":
                require_once ("admin/admission/adm_yearwise_students_next.php");
                break;
            case "instwise_coursewise_studlist_report":
                require_once ("exam/reports/instwise_coursewise_studlist_report.php");
                break;
            case "exam_datewise_report":
                require_once ("exam/reports/exam_datewise_report.php");
                break;
            case "exam_instwise_report":
                require_once ("exam/reports/exam_instwise_report.php");
                break;
            case "instwise_coursewise_report":
                require_once ("exam/reports/instwise_coursewise_report.php");
                break;
            case "exam_admisyearwisestud_report_next":
                require_once ("admin/admission/exam_admisyearwisestud_report_next.php");
                break;
            case "datewise_report":
                require_once ("admin/admission/datewise_report.php");
                break;
            case "instwise_report":
                require_once ("admin/admission/instwise_report.php");
                break;
            case "userhome":
                require_once ("user/userhome.php");
                break;

            case "chpass":
                require_once ("files/chpass.php");
                break;

            default:
                break;
        }
        break;
}
if ($q == '') {
    switch ($userrole) {
        case "ADMIN":
        case "SUB_ADMIN":
        case "ACC_SEC":
        case "COMP_SEC":
        case "PRINCIPAL":
        case "INST":
        case "STUDENT":
        case "BYNARIC_ADMIN":
        case "SEC_OPERATOR":
        default:
            require_once ("user/userhome.php");
            break;
    }
}

require_once ("staticpage/footer.php");
?>